Bug 523689 - setroubleshoot: SELinux is preventing /sbin/ldconfig "read" access on /usr/share/ibus-pinyin/engine/pysqlitedb.py.
Summary: setroubleshoot: SELinux is preventing /sbin/ldconfig "read" access on /usr/sh...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:c06638245f9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 12:58 UTC by Peter F. Patel-Schneider
Modified: 2009-09-20 15:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-16 16:08:21 UTC


Attachments (Terms of Use)

Description Peter F. Patel-Schneider 2009-09-16 12:58:10 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /sbin/ldconfig "read" access on
/usr/share/ibus-pinyin/engine/pysqlitedb.py.

Detailed Description:

[ldconfig has a permissive type (ldconfig_t). This access was not denied.]

SELinux denied access requested by ldconfig. It is not expected that this access
is required by ldconfig and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023
Target Context                system_u:object_r:usr_t:s0
Target Objects                /usr/share/ibus-pinyin/engine/pysqlitedb.py [ file
                              ]
Source                        ldconfig
Source Path                   /sbin/ldconfig
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           glibc-2.10.90-21
Target RPM Packages           ibus-pinyin-1.2.0.20090617-2.fc12
Policy RPM                    selinux-policy-3.6.31-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-2.fc12.i686 #1 SMP Thu Sep 10 00:41:03 EDT
                              2009 i686 i686
Alert Count                   1
First Seen                    Tue 15 Sep 2009 02:41:11 PM EDT
Last Seen                     Tue 15 Sep 2009 02:41:11 PM EDT
Local ID                      e24f8cd7-0000-4e0d-8d23-c1d28d7c7155
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253040071.469:28): avc:  denied  { read } for  pid=2551 comm="ldconfig" path="/usr/share/ibus-pinyin/engine/pysqlitedb.py" dev=dm-0 ino=56900 scontext=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1253040071.469:28): arch=40000003 syscall=11 success=yes exit=0 a0=916c918 a1=916c998 a2=916b4c0 a3=916c998 items=0 ppid=2550 pid=2551 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm="ldconfig" exe="/sbin/ldconfig" subj=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= ldconfig_t ==============
allow ldconfig_t usr_t:file read;

Comment 1 Daniel Walsh 2009-09-16 13:07:26 UTC
What were you doing when you got this to happen?

Comment 2 Peter F. Patel-Schneider 2009-09-16 15:14:05 UTC
I was booting from the S2 Live ISO on a USB key.

The message came up as soon as the graphical interface was available.

Comment 3 Daniel Walsh 2009-09-16 16:08:21 UTC
Ok I am allowing this access for other reasons.  Makes no sense though.

Fixed in selinux-policy-3.6.32-1.fc12.noarch

Comment 4 Peter F. Patel-Schneider 2009-09-16 16:42:55 UTC
Yes, I agree that the access appears to be silly.  Perhaps pushing this back to whoever is responsible for ldconfig is possible?

Thanks for putting in place the fig leaf.


Note You need to log in before you can comment on or make changes to this bug.